Bug 661804 - can't be rebuilt in mock
Summary: can't be rebuilt in mock
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl-Test-MockObject
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Petr Pisar
QA Contact: Jan Kepler
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-09 17:04 UTC by Levente Farkas
Modified: 2014-01-30 09:21 UTC (History)
3 users (show)

(edit)
Cause:
  Building perl-Test-MockObject source RPM package without
  installed perl-CGI package.
Consequence:
  Build process fails on executing tests.
Fix:
  Build-time dependencies on CGI, Test::Builder, and
  Test::More Perl modules have been declared in the RPM
  package.
Result:
  It's possible to rebuild perl-Test-MockObject source
  package in minimal environment.
Clone Of:
(edit)
Last Closed: 2013-05-20 14:43:23 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0836 normal SHIPPED_LIVE perl-Test-MockObject bug fix update 2013-05-20 18:42:26 UTC

Description Levente Farkas 2010-12-09 17:04:38 UTC
can't be rebuild in mock because durint %check it need perl-CGI which is not
BR-ed.

Can't locate CGI.pm in @INC (@INC contains: /builddir/build/BUILD/Test-MockObject-1.09/blib/lib /builddir/build/BUILD/Test-MockObject-1.09/blib/arch /builddi
r/build/BUILD/Test-MockObject-1.09/_build/lib /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/li
b64/perl5 /usr/share/perl5 .) at /builddir/build/BUILD/Test-MockObject-1.09/blib/lib/Test/MockObject/Extends.pm line 36.
# Looks like you planned 41 tests but ran 3.
# Looks like your test exited with 2 just after 3.
t/extends.t .................
Dubious, test returned 2 (wstat 512, 0x200)
Failed 38/41 subtests
t/ignore.t .................. ok
t/isa.t ..................... ok
t/developer/pod-coverage.t .. ok
t/developer/pod.t ........... ok
Test Summary Report
-------------------
t/extends.t               (Wstat: 512 Tests: 3 Failed: 0)
  Non-zero exit status: 2
  Parse errors: Bad plan.  You planned 41 tests but ran 3.
Files=9, Tests=178,  0 wallclock secs ( 0.06 usr  0.01 sys +  0.30 cusr  0.05 csys =  0.42 CPU)
Result: FAIL
Failed 1/9 test programs. 0/178 subtests failed.
error: Bad exit status from /var/tmp/rpm-tmp.Di7YXW (%check)
RPM build errors:
    Macro % has illegal name (%define)
    Macro % has illegal name (%define)
    Bad exit status from /var/tmp/rpm-tmp.Di7YXW (%check)

Comment 2 Petr Pisar 2010-12-09 17:42:04 UTC
perl(CGI) has been splitted from main perl package after last build of this package. Simple add `BuildRequire: perl(CGI)' is enough. This will be fixed once rebuild of this package will be needed for other reasons.

Comment 4 RHEL Product and Program Management 2011-01-07 15:30:49 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 5 RHEL Product and Program Management 2011-07-05 23:42:08 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 16 errata-xmlrpc 2013-05-20 14:43:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0836.html


Note You need to log in before you can comment on or make changes to this bug.